Description

I migrated TYPO3 local to 6.2.1, after uploading to my webspace I did not find any possibility to switch the file system to
casesensitive=1, so files were not found. Then only way was to truncate sys_file_storage. In my opinion the install tool should check
and update it.

Jürgen

Related issues:
related to Core - Bug # 55652: Upload a file with Uppercase letters --> Error... Closed 2014-02-04

History
#1 - 2014-05-04 14:22 - Frans Saris
- Status changed from New to Needs Feedback

This check is done when filestorage is created.

You can set this when you edit the filestorage record.

But your problem was that the sys_file records had combined uppercase and lowercase indentifiers but filestorage was set to case in sensitive? 
That should not be a problem imo.

Gr. Frans

#2 - 2014-05-04 18:10 - Juergen Weidmann

After installation or migration in XAMPP an existing or new created folder with upper case letters (for example "Picture") will not be found in the filelist
after uploading the project (database dump and files) to the apache server --> the file list runs in an error. Root cause is the casesensitive flag in
"sys_file_storage" which is empty, but has to be changed to 1. I run the install tool but I did not find any check or config to change it. The only way to
get it running was to set manually casesensitive to 1 in the table "sys_file_storage" with phpmyadmin or to truncate the table. 
You can simulate that easily creating the folder "Picture" and empty the variable casesensitive.

#3 - 2014-05-05 20:51 - Juergen Weidmann

I found the possilility to change the setting now, a little bit tricky. I still think that the install tool should check that.
#4 - 2014-05-15 20:43 - Oliver Hader

Jürgen, what operating system and which file system are you using?

#5 - 2014-05-18 17:56 - Juergen Weidmann

I use xampp 3.1.0 / windows 7 for testing and apache server (case sensitive) for hosting.

#6 - 2014-09-15 15:48 - Alexander Opitz

If you move between case sensitive and case insensitive file system you need to change the configuration of the storage manually.
We won't fix issues if you don't set the flag correctly.
On creation of a file storage the state of your filesystem is checked and selected automatically.

Do you wish to have a possibility in the install tool to check the storages system?

#7 - 2014-12-15 10:15 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback within the last 90 days => closing this issue.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and
an explanation or open a new ticket and add a relation to this ticket number.
